Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenDocumentable

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenDocumentable

Direct Known Subclasses:
  `JrpcgenDeclaration`, `JrpcgenXdrDefinition`

public class JrpcgenDocumentable extends Object
base class providing storage of a javadoc comment. for use at jrpcgen data model.

Author:
  zelgerpe

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`documentation`

## Constructor Summary

Constructors
Constructor
Description
`JrpcgenDocumentable()`
`JrpcgenDocumentable(String jdoc)`

## Method Summary

Modifier and Type
Method
Description
`protected Appendable`
`appendDeprecatedOrNothing(Appendable p, String prefix)`
generate \n+prefix+@Deprecated java annotation if deprecated javadoc tag is found, otherwise do nothing.
`protected void`
`appendDeprecatedOrNothing(JrpcgenJavaFile javaFile)`
`boolean`
`documentationIsEmpty()`
`boolean`
`documentationIsProvided()`
`static String`
`emptyDocumentation()`
`String`
`getDocumentation()`
`String`
`getIdentedDocu(String prefix)`
format javadoc comment.
`String`
`getIdentedDocu(String prefix, boolean isWithDeprecatedAnnotation)`
`protected boolean`
`isDeprecated()`
`void`
`writeDocumentation(JrpcgenJavaFile javaFile)`
`void`
`writeDocumentation(JrpcgenJavaFile javaFile, boolean isWithDeprecatedAnnotation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### documentation

protected String documentation

## Constructor Details

### JrpcgenDocumentable

public JrpcgenDocumentable()

### JrpcgenDocumentable

public JrpcgenDocumentable(String jdoc)

## Method Details

### emptyDocumentation

public static String emptyDocumentation()

### documentationIsEmpty

public boolean documentationIsEmpty()

### documentationIsProvided

public boolean documentationIsProvided()

### getDocumentation

public String getDocumentation()

### getIdentedDocu

public String getIdentedDocu(String prefix)
format javadoc comment. In case it contains a deprecated javadoc tag a `Deprecated` java annotation is generated.

Parameters:
  `prefix` - is prefixed each comment line
Returns:
  prefixed pretty formatted javadoc comment.

### getIdentedDocu

public String getIdentedDocu(String prefix, boolean isWithDeprecatedAnnotation)

### writeDocumentation

public void writeDocumentation(JrpcgenJavaFile javaFile)

### writeDocumentation

public void writeDocumentation(JrpcgenJavaFile javaFile, boolean isWithDeprecatedAnnotation)

### appendDeprecatedOrNothing

protected void appendDeprecatedOrNothing(JrpcgenJavaFile javaFile)

### appendDeprecatedOrNothing

protected Appendable appendDeprecatedOrNothing(Appendable p, String prefix)
generate \n+prefix+@Deprecated java annotation if deprecated javadoc tag is found, otherwise do nothing. see USF10633

Returns:
  p

### isDeprecated

protected boolean isDeprecated()